import java.awt.Graphics; 
import java.applet.Applet; 
public class metotvesinifdeg extends Applet 
{ 
//buradaki değişkenler tüm sınıfa aittir 
double x ; 
int y ; 
void metot1( Graphics g) //metota hiç bir değişken girmiyor 
{ 
x=5.5; 
y=6; 
g.drawString("metot1 in ici : x = "+x+" y = "+y,25,40); 
} 
public void paint(Graphics g) 
{ 
x = 2.5; 
y = 3; 
g.drawString("metot1 in dışı (ilk çağırma) : x = "+x+" y = "+y,25,25); 
metot1(g); 
g.drawString("metot1 in dışı (ikinci çağırma) : x = "+x+" y = "+y,25,55); 
} 
}
